/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 运维系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.baseinfo.servicePerson.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.core.tool.utils.Func;
import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.modules.system.entity.Dept;
import org.springblade.modules.system.entity.User;
import org.springblade.modules.system.service.IDeptService;
import org.springblade.modules.system.vo.UserVO;


import java.util.Objects;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class ServicePersonWrapper extends BaseEntityWrapper<User, UserVO> {
	public static ServicePersonWrapper build() {
		return new ServicePersonWrapper();
	}

	private static IDeptService deptService;

	private static IDeptService getDeptService() {
		if (deptService == null) {
			deptService = SpringUtil.getBean(IDeptService.class);
		}
		return deptService;
	}

	@Override
	public UserVO entityVO(User entity) {
		UserVO servicePersonVO = Objects.requireNonNull(BeanUtil.copy(entity, UserVO.class));
		Dept dept = getDeptService().getById(Func.toLong(entity.getDeptId()));
		if (null != dept) {
			servicePersonVO.setDeptName(dept.getDeptName());
		}
		return servicePersonVO;
	}
}
